maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From aldana <ald...@gmx.de>
Subject Problem with parent-pom and referencing version classifier
Date Wed, 29 Apr 2009 14:27:15 GMT

Hi,

I am having:

<dependency>
 <groupId>net.sf.json-lib</groupId>
 <artifactId>json-lib</artifactId>
 <version>2.2.3</version>
 <classifier>jdk15</classifier>
</dependency>


I want to keep version information in parent pom in dependency management.
But when extracting this to <dependencyManagement> in parent-pom, I get
following error:

'dependencies.dependency.version' is missing for net.sf.json-lib:json-lib

All other dependencies version extractions to parent-pom work. Only this
json-lib makes problems. I noticed that is the only one with the classifier
information. Could this be the issue.

I can both reproduce on linux with 2.0.9 and 2.1.0.


-----
manuel aldana
aldana((at))gmx.de
software-engineering blog: http://www.aldana-online.de
-- 
View this message in context: http://www.nabble.com/Problem-with-parent-pom-and-referencing-version-classifier-tp23296079p23296079.html
Sent from the Maven - Users mailing list archive at Nabble.com.


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message